<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Σφάλμα δεδομένων!";
	$title1="Όπως: Αισθητήρα συνθήκες Ή/ΚΑΙ επόμενου αισθητήρα συνθήκες!";
	$head2="Ή/Και";
	$or="Ή";
	$and="Kαι";
	$none="Χωρίς";
	$title2="Χωρίς επόμενο αισθητήρα!";
	$head3="Θέλετε να ενεργοποιήσετε και άλλον αισθητήρα;";
	$yes="Ναι";
	$no="Όχι";
	}
else
	{
	$head1="Invalid data!";
	$title1="Like: Sensor's conditions OR/AND other's sensors conditions!";
	$head2="Or/And";
	$or="Or";
	$and="And";
	$none="None";
	$title2="No next sensor!";
	$head3="Do you want to enable another sensor?";
	$yes="Yes";
	$no="No";
	}
$msg="";	
if ((isset($_GET["q"]) && !empty($_GET["q"])) && (isset($_GET["s"]) && !empty($_GET["s"])))
{	
db_open();
	$q=$_GET["q"];
	$s=$_GET["s"];
	$sens="";
	$q= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["q"]))));
	if ((preg_match("/[^_A-Za-z0-9\' ']/", $q)) && !is_numeric($s))
	{
		$msg="$head1";
	}
	else
	{
		if ($q=="no_sensor")
			{
			$sens="";
			$msg="";
			}
		else
			{
			if ($q=="temperature")
				{
				$sens="temp_rule";
				}
			else if ($q=="humidity")
				{
				$sens="hum_rule";
				}
			else if ($q=="indoor_lighting")
				{
				$sens="inli_rule";
				}
			else if ($q=="soil_moisture")
				{
				$sens="somo_rule";
				}
			$msg='<select name="'.$sens.'"id="rule'.$s.'" title="'.$title1.'" disabled="true" onchange="enable_sensor('.$s.');" >
				<option value="empty">'.$head2.'</option>
				<option value="or">'.$or.'</option>
				<option value="and">'.$and.'</option>
				<option value="none" title="'.$title2.'">'.$none.'</option>
				</select>';
		}
	}
db_close();
	}
else if (isset($_GET["str3"]) && !empty($_GET["str3"]) && is_numeric($_GET["str3"]))
{
$str3=$_GET["str3"];
$msg= '<td class="p_i_title1">'.$head3.'</td>
<td id="line'.$str3.'_data"><input type="button" value="'.$yes.'" onclick="next_sensor('.$str3.','.$str3.',2);"> <input type="button" value="'.$no.'" onclick="next_sensor('.$str3.','.$str3.',12);"></td>';
}
else
{
$msg="";
}
echo $msg;
?>